For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
DocsAPI ReferenceWebhooksMethodsUI ComponentsMCP ServerChangelog
  • API Reference
      • POSTList Shortened URLs
      • GETGet Shortened URL
      • POSTCreate Shortened URL
      • PUTUpdate Shortened URL
      • POSTUpload File
      • POSTRefresh File URLs
      • POSTGet Contact Card
      • POSTUpsert Contact Card
LogoLogo
SupportDashboard
API ReferenceTools

Update Shortened URL

PUT
https://api.pinnacle.sh/tools/url/:linkId
PUT
/tools/url/:linkId
1import { PinnacleClient } from "rcs-js";
2
3async function main() {
4 const client = new PinnacleClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.tools.url.update("ePzVxILF", {
8 url: "https://www.pinnacle.sh/",
9 });
10}
11main();
1{
2 "url": "https://pncl.to/hJCJadm9",
3 "config": {
4 "to": "https://www.pinnacle.sh/",
5 "expiresAt": "2025-06-23T16:18:25+00:00"
6 }
7}
Update the destination or expiration date of an existing shortened URL. Expiring links cannot be updated into a permalink.
Was this page helpful?
Previous

Upload File

Next
Built with

Authentication

PINNACLE-API-KEYstring
API Key authentication via header

Path parameters

linkIdstringRequired

Unique identifier from your shortened URL. For example, for https://pncl.to/ePzVxILF, the linkId is ePzVxILF.

See the response of Create Shortened URL for more information.

Request

This endpoint excepts an object.

Only provided fields will be changed, and any fields you don’t include will remain unchanged.

Expiring links cannot be updated into a permalink.

urlstringOptional
New destination URL where your visitors will be redirected.
optionsobjectOptional

Response

Returns the updated shortened URL and its configuration.
urlstring

Your custom shortened link following the format https://pncl.to/{linkId}, where {linkId} is the unique identifier for the URL that can be used with our other endpoint.

configobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error